# PetscInitializeDrawPackage

This function initializes everything in the PetscDraw package. It is called from PetscDLLibraryRegister() when using dynamic libraries, and on the call to PetscInitialize() when using static libraries.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode PETSC_DLLEXPORT PetscDrawInitializePackage(const char path[])

### Input Parameter

path - The dynamic library path, or PETSC_NULL

### Keywords

Petsc, initialize, package

### See Also

PetscInitialize()

Level:developer
Location: src/sys/draw/interface/draw.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages